# Class CIM_FCSwitchSettings
extends CIM_SettingData

A ComputerSystem that supports FC Switch capabilities and can be configured using the FCSwitchConfig class.

### Table of Contents
Hierarchy
Direct Known Subclasses
Class Qualifiers
Class Properties
Class Methods

## Class Hierarchy

CIM_ManagedElement
|
+--CIM_SettingData
|
+--CIM_FCSwitchSettings

## Direct Known Subclasses

## Class Qualifiers

Name | Data Type | Value
--- | --- | ---
Description | string | A ComputerSystem that supports FC Switch capabilities and can be configured using the FCSwitchConfig class.
UMLPackagePath | string | CIM::Device::FC
Version | string | 2.11.0

## Class Properties

### Local Class Properties

Name | Data Type | Default Value | Qualifiers
--- | --- | --- | ---
Name | Data Type | Value
DomainIDLocked | boolean |
Description | string | Boolean that indicates if the switch can negotiate a new domainID when the configured domainID is unavailable. If this value is true, a domainID conflict will cause the fabric merge process to fail.
MappingStrings | string | FC-SWAPI.INCITS-T11|UcUnitConfigGetDomainIDLocked
ModelCorrespondence | string | CIM_FCSwitchSettings.PreferredDomainID
Write | boolean | true
PreferredDomainID | uint8 |
Description | string | The preferred domainID for the switch. If DomainIDLocked is true, then this property will be the required DomainID for the switch.
MappingStrings | string | FC-SWAPI.INCITS-T11|UcUnitConfigGetDomainID, GC-GS.INCITS-T11|InterconnectElement|DomainIdentifier
MaxValue | sint64 | 239
MinValue | sint64 | 1
ModelCorrespondence | string | CIM_FCSwitchSettings.DomainIDLocked
Write | boolean | true
PrincipalPriority | uint16 | 3
Description | string | This value affects the selection of a principal switch within the fabric. The value indirectly corresponds to the FC-FS switch_priority value used during principal switch selection. - Principal: Attempt to become the principal switch in the fabric. - Subordinate: Attempt not to become the principal switch in the fabric. - Any: No preference.
MappingStrings | string | FC-SWAPI.INCITS-T11|SWAPI_PRINCIPAL_PRIORITY_T
ValueMap | string | 2, 3, 4
Values | string | Principal, Subordinate, Any
Write | boolean | true

### Inherited Properties

Name | Data Type | Class Origin
--- | --- | ---
Caption | string | CIM_ManagedElement
ChangeableType | uint16 | CIM_SettingData
ConfigurationName | string | CIM_SettingData
Description | string | CIM_ManagedElement
ElementName | string | CIM_SettingData
InstanceID | string | CIM_SettingData

## Class Methods